<?php
function _g($str)
{
return __($str, 'option-page');
}

$themename = "Holder BuddyPress";
$themeversion = "1.0";
$shortname = "dev";
$shortprefix = "_holder_buddypress_";
/* get pages so can set them */
$dev_pages_obj = get_pages();
$dev_pages = array();
foreach ($dev_pages_obj as $dev_cat) {
	$dev_pages[$dev_cat->ID] = $dev_cat->post_name;
}
$pages_tmp = array_unshift($dev_pages, "Select a page:");
/* end of get pages */
/* get categories so can set them */
$dev_categories_obj = get_categories('hide_empty=0');
$dev_categories = array();
foreach ($dev_categories_obj as $dev_cat) {
	$dev_categories[$dev_cat->cat_ID] = $dev_cat->category_nicename;
}
$categories_tmp = array_unshift($dev_categories, "Select a category:");
/* end of get categories */

/* start of theme options */

$options = array (

	array("name" => __("Do you want to show site navigation?", 'holder_buddypress'),
		"description" => __("By default navigation shows click no to turn it off", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "navigation",
		"inblock" => "settings",
		"type" => "select",
		"std" => "Select",
		"options" => array("yes", "no")),

	array(
		"name" => __("Header text", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "header",
		"inblock" => "settings",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Description", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "description",
		"inblock" => "settings",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Sub Header", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "subheader",
		"inblock" => "settings",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Footer links", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "footerlinks",
		"inblock" => "settings",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Form code", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "form",
		"inblock" => "settings",
		"type" => "textarea",
		"std" => "",
	),

	array(
		"name" => __("Flickr link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "flickr",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Delicious link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "delicious",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("RSS link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "rss",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Facebook link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "facebook",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Vimeo link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "vimeo",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),
	array(
		"name" => __("Twitter link", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "twitter",
		"inblock" => "social",
		"type" => "textarea",
		"std" => "",
	),

	array(
		"name" => __("Site name", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "site_title",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),
	array("name" => __("Do you to use a custom large image logo rather than domain name text?", 'holder_buddypress'),
		"description" => __("Enter your url in the next section if saying yes", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "header_image",
		"inblock" => "branding",
		"type" => "select",
		"std" => "Select",
		"options" => array("no", "yes")),

	array(
		"name" => __("Insert your logo full url here", 'holder_buddypress'),
		"description" => __("You can upload your logo in <a href='media-new.php'>media panel</a> and copy paste the url here", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "header_logo",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),

	array("name" => __("Do you to use a custom square image logo and your domain name text?", 'holder_buddypress'),
		"description" => __("Enter your url in the next section if saying yes", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "header_image_square",
		"inblock" => "branding",
		"type" => "select",
		"std" => "Select",
		"options" => array("no", "yes")),

	array(
		"name" => __("Insert your square logo full url here", 'holder_buddypress'),
		"description" => __("You can upload your logo in <a href='media-new.php'>media panel</a> and copy paste the url here", 'holder_buddypress'),
		"id" => $shortname . $shortprefix . "header_logo_square",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),

);

function holder_buddypress_admin_panel() {
	global $themename, $shortname, $options, $options2, $options3, $bp_existed, $multi_site_on;
	if ( isset($_REQUEST['saved'] )) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings saved.', 'holder_buddypress') . '</strong></p></div>';
	if ( isset($_REQUEST['reset'] )) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings reset.', 'holder_buddypress') . '</strong></p></div>';
	?>
	<div id="options-panel">
	<form action="" method="post">
	  <div id="sbtabs">
	  <div class="tabmc">
	  <ul class="ui-tabs-nav" id="tabm">
	  <li class="first ui-tabs-selected"><a href="#settings"><?php _e("Settings",'holder_buddypress'); ?></a></li>
	  <li class=""><a href="#social"><?php _e("Social",'holder_buddypress'); ?></a></li>
	  <li class=""><a href="#branding"><?php _e("Branding",'holder_buddypress'); ?></a></li>
 	  </ul>
	  </div>

	<div class="tabc">


	<ul style="" class="ui-tabs-panel" id="settings">
	<li>

	<h2><?php _e("Settings", 'holder_buddypress') ?></h2>


	<?php $value_var = 'settings'; foreach ($options as $value) { ?>

			<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


			<div class="tab-option">
			<?php
			$valuex = $value['id'];
			$valuey = stripslashes($valuex);
			$video_code = get_option($valuey);
			?>
			<div class="description"><?php echo $value['name']; ?><br /><span><?php
				if (isset($value['description'])){
			echo $value['description']; }
			?></span></div>
			<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
			</textarea></p></div>
			</div>


			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

			<?php $i = ""; $i == $i++ ; ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
			<?php foreach ($value['options'] as $option) { ?>
			<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			<?php } ?>
			</select>
			</p>
			</div>
			</div>

			<?php } ?>
	<?php } ?>
	</li></ul>
	<ul style="" class="list9 ui-tabs-panel ui-tabs-hide" id="social">

	<li>

	<h2><?php _e("Social", 'holder_buddypress') ?></h2>

	<?php $value_var = 'social'; foreach ($options as $value) { ?>

			<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


			<div class="tab-option">
			<?php
			$valuex = $value['id'];
			$valuey = stripslashes($valuex);
			$video_code = get_option($valuey);
			?>
			<div class="description"><?php echo $value['name']; ?><br /><span><?php
				if (isset($value['description'])){
			echo $value['description']; }
			?></span></div>
			<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
			</textarea></p></div>
			</div>


			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

			<?php $i = ""; $i == $i++ ; ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
			<?php foreach ($value['options'] as $option) { ?>
			<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			<?php } ?>
			</select>
			</p>
			</div>
			</div>

			<?php } ?>
	<?php } ?>
	</li></ul>

	<ul style="" class="list9 ui-tabs-panel ui-tabs-hide" id="branding">

	<li>

	<h2><?php _e("Branding Settings", 'holder_buddypress') ?></h2>

	<?php $value_var = 'branding'; foreach ($options as $value) { ?>

			<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


			<div class="tab-option">
			<?php
			$valuex = $value['id'];
			$valuey = stripslashes($valuex);
			$video_code = get_option($valuey);
			?>
			<div class="description"><?php echo $value['name']; ?><br /><span><?php
				if (isset($value['description'])){
			echo $value['description']; }
			?></span></div>
			<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
			</textarea></p></div>
			</div>


			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

			<?php $i = ""; $i == $i++ ; ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
					if (isset($value['description'])){
				echo $value['description']; }
				?></span></div>
			<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
			<?php foreach ($value['options'] as $option) { ?>
			<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			<?php } ?>
			</select>
			</p>
			</div>
			</div>

			<?php } ?>
	<?php } ?>
	</li></ul>



	</div>
	</div>



	<div id="submitsection">

		<div class="submit">
		<h2><?php _e("Click this to save your theme options", 'holder_buddypress') ?></h2>
	<input name="save" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save All Options','holder_buddypress')); ?>" />
	<input type="hidden" name="theme_action" value="save" />
	</div>
	</div>
	</div>
	</form>



	<form method="post">
	<div id="resetsection">
	<div class="submit">
		<h2><?php _e("Clicking this will reset all theme options - use with caution", 'holder_buddypress') ?></h2>
	<input name="reset" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset All Options','holder_buddypress')); ?>" />
	<input type="hidden" name="theme_action" value="reset" />
	</div>
	</div>
	</form>


	</div>
	<?php
	}

$options3 = array (

array(
	"name" => __("Choose your body font", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "body_font",
	"type" => "select",
	"inblock" => "text",
	"std" => "Arial, sans-serif",
				"options" => array(
	     			              "Arial, sans-serif",
									"Cantarell, arial, serif",
									"Cardo, arial, serif",
								    "Courier New, Courier, monospace",
									"Crimson Text, arial, serif",
									"Droid Sans, arial, serif",
									"Droid Serif, arial, serif",
						            "Garamond, Georgia, serif",
									"Georgia, arial, serif",
						            "Helvetica, Arial, sans-serif",
									"IM Fell SW Pica, arial, serif",
									"Josefin Sans Std Light, arial, serif",
									"Lobster, arial, serif",
									"Lucida Sans Unicode, Lucinda Grande, sans-serif",
									"Molengo, arial, serif",
									"Neuton, arial, serif",
									"Nobile, arial, serif",
									"OFL Sorts Mill Goudy TT, arial, serif",
									"Old Standard TT, arial, serif",
									"Reenie Beanie, arial, serif",
									"Tahoma, sans-serif",
									"Tangerine, arial, serif",
						            "Trebuchet MS, sans-serif",
						            "Verdana, sans-serif",
									"Vollkorn, arial, serif",
									"Yanone Kaffeesatz, arial, serif"
	            )
),

array(
	"name" => __("Choose your header font", 'holder_buddypress'),
	"description" => __("We include google font directory fonts you can <a href='http://code.google.com/webfonts'>view here</a> ", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "header_font",
	"type" => "select",
	"inblock" => "text",
	"std" => "Arial, sans-serif",
				"options" => array(
	            "Arial, sans-serif",
				"Cantarell, arial, serif",
				"Cardo, arial, serif",
			    "Courier New, Courier, monospace",
				"Crimson Text, arial, serif",
				"Droid Sans, arial, serif",
				"Droid Serif, arial, serif",
	            "Garamond, Georgia, serif",
				"Georgia, arial, serif",
	            "Helvetica, Arial, sans-serif",
				"IM Fell SW Pica, arial, serif",
				"Josefin Sans Std Light, arial, serif",
				"Lobster, arial, serif",
				"Lucida Sans Unicode, Lucinda Grande, sans-serif",
				"Molengo, arial, serif",
				"Neuton, arial, serif",
				"Nobile, arial, serif",
				"OFL Sorts Mill Goudy TT, arial, serif",
				"Old Standard TT, arial, serif",
				"Reenie Beanie, arial, serif",
				"Tahoma, sans-serif",
				"Tangerine, arial, serif",
	            "Trebuchet MS, sans-serif",
	            "Verdana, sans-serif",
				"Vollkorn, arial, serif",
				"Yanone Kaffeesatz, arial, serif"
	            )
),

array(
	"name" => __("Choose your site wrapper or header color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "header_color",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your site wrapper bottom or footer color", 'holder_buddypress'),
	"description" => __("*Only in block, block splatter and divide sofa", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "footer_color",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your site middle strip color", 'holder_buddypress'),
	"description" => __("*Only in ribbon and ribbon gloss themes", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "middle_color",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your site internal background color", 'holder_buddypress'),
	"description" => __("*Only in divide sofa, skinny postit and skinny travel", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "internal_color",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Insert your internal background image full url here", 'holder_buddypress'),
	"description" => __("You can upload your logo in <a href='media-new.php'>media panel</a> and copy paste the url here", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "internal_background",
	"inblock" => "layout",
	"type" => "text",
	"std" => "",
),

array(
	"name" => __("Internal background image repeat", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "internal_image_repeat",
	"inblock" => "layout",
	"type" => "select",
	"std" => "repeat-x",
	"options" => array("no-repeat", "repeat", "repeat-x", "repeat-y")),

array(
	"name" => __("Choose your comment background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "comment_color",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your post bottom border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "post_border",
	"inblock" => "layout",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your font color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "font_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h1 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h1_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h2 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h2_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h3 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h3_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h4 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h4_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h5 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h5_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h6 color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h6_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your link color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "link_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your link hover color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "link_hover_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your link visited color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "link_visited_color",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your h1 shadow color", 'holder_buddypress'),
	"description" => __("*Only in columns label, divide sofa, ribbon gloss, ribbon, skinny postit, skinny trvavel, skinny, strip field, strip", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h1_shadow_color",
	"inblock" => "text",
	"inblock" => "text",
	"std" => "",
	"type" => "colorpicker"),


array(
	"name" => __("Choose your h1 shadow amount", 'holder_buddypress'),
	"description" => __("1, 2, 3... keep to smaller ones and it looks better.", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "h1_shadow_size",
	"inblock" => "text",
	"type" => "select",
	"std" => "Select",
	"options" => array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10")),

array(
	"name" => __("Choose your button background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_background_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your button text color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_text_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your button border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_border_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your button hover background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_hover_background_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your button hover text color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_hover_text_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your button hover border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "button_hover_border_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your form input text color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "form_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your form input background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "form_background_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your form input border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "form_border_color",
	"inblock" => "forms",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_background_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation text color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_text_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_border_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation hover background color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_hover_background_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation hover text color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_hover_text_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your navigation hover border color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_hover_border_color",
	"inblock" => "navigation",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your alt color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "alt",
	"inblock" => "buddypress",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your nav color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav",
	"inblock" => "buddypress",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your nav selected color", 'holder_buddypress'),
	"id" => $shortname . $shortprefix . "nav_select",
	"inblock" => "buddypress",
	"std" => "",
	"type" => "colorpicker"),

);

function holder_buddypress_custom_style_admin_panel() {

		global $themename, $options, $options2, $options3, $bp_existed, $multi_site_on;

		if ( isset($_REQUEST['saved3'] )) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings saved.', 'holder_buddypress') . '</strong></p></div>';
		if ( isset($_REQUEST['reset3'] )) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings reset.', 'holder_buddypress') . '</strong></p></div>';
		?>

		<div id="options-panel">
		<form action="" method="post">

		  <div id="sbtabs">
		  <div class="tabmc">
		  <ul class="ui-tabs-nav" id="tabm">
		  <li class="first ui-tabs-selected"><a href="#layout"><?php _e("Layout",'holder_buddypress'); ?></a></li>

		  <li class=""><a href="#text"><?php _e("Text Colours",'holder_buddypress'); ?></a></li>

		  <li class=""><a href="#forms"><?php _e("Form Colours",'holder_buddypress'); ?></a></li>

		  <li class=""><a href="#navigation"><?php _e("Navigation Colours",'holder_buddypress'); ?></a></li>
		  <?php if($bp_existed == 'true') { ?><li class=""><a href="#buddypress"><?php _e("BuddyPress",'holder_buddypress'); ?></a></li><?php } ?>
		  </ul>
		</div>


		<div class="tabc">


		<ul style="" class="ui-tabs-panel" id="layout">
		<li>
			<h2><?php _e("Layout Colours", 'holder_buddypress') ?></h2>

			<?php $value_var = 'layout'; foreach ($options3 as $value) { ?>

							<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

							<div class="tab-option">
							<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
									if (isset($value['description'])){
								echo $value['description']; }
								?></span></div>
							<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
							</div>

							<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


							<div class="tab-option">
							<?php
							$valuex = $value['id'];
							$valuey = stripslashes($valuex);
							$video_code = get_option($valuey);
							?>
							<div class="description"><?php echo $value['name']; ?><br /><span><?php
								if (isset($value['description'])){
							echo $value['description']; }
							?></span></div>
							<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
							</textarea></p></div>
							</div>


							<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

							<?php $i = ""; $i == $i++ ; ?>

							<div class="tab-option">
							<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
									if (isset($value['description'])){
								echo $value['description']; }
								?></span></div>
							<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
							</div>

							<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

							<div class="tab-option">
							<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
									if (isset($value['description'])){
								echo $value['description']; }
								?></span></div>
							<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
							<?php foreach ($value['options'] as $option) { ?>
							<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
							<?php } ?>
							</select>
							</p>
							</div>
							</div>

							<?php } ?>
			<?php } ?>
		</li>
		</ul>
			<ul style="" class="ui-tabs-panel" id="text">
			<li>
				<h2><?php _e("Text Colours", 'holder_buddypress') ?></h2>

				<?php $value_var = 'text'; foreach ($options3 as $value) { ?>

								<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

								<div class="tab-option">
								<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
										if (isset($value['description'])){
									echo $value['description']; }
									?></span></div>
								<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
								</div>

								<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


								<div class="tab-option">
								<?php
								$valuex = $value['id'];
								$valuey = stripslashes($valuex);
								$video_code = get_option($valuey);
								?>
								<div class="description"><?php echo $value['name']; ?><br /><span><?php
									if (isset($value['description'])){
								echo $value['description']; }
								?></span></div>
								<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
								</textarea></p></div>
								</div>


								<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

								<?php $i = ""; $i == $i++ ; ?>

								<div class="tab-option">
								<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
										if (isset($value['description'])){
									echo $value['description']; }
									?></span></div>
								<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
								</div>

								<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

								<div class="tab-option">
								<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
										if (isset($value['description'])){
									echo $value['description']; }
									?></span></div>
								<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
								<?php foreach ($value['options'] as $option) { ?>
								<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
								<?php } ?>
								</select>
								</p>
								</div>
								</div>

								<?php } ?>
				<?php } ?>
			</li>
			</ul>
				<ul style="" class="ui-tabs-panel" id="forms">
				<li>
					<h2><?php _e("Form colours", 'holder_buddypress') ?></h2>

					<?php $value_var = 'forms'; foreach ($options3 as $value) { ?>

									<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
									</div>

									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


									<div class="tab-option">
									<?php
									$valuex = $value['id'];
									$valuey = stripslashes($valuex);
									$video_code = get_option($valuey);
									?>
									<div class="description"><?php echo $value['name']; ?><br /><span><?php
										if (isset($value['description'])){
									echo $value['description']; }
									?></span></div>
									<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
									</textarea></p></div>
									</div>


									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

									<?php $i = ""; $i == $i++ ; ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
									</div>

									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
									<?php foreach ($value['options'] as $option) { ?>
									<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
									<?php } ?>
									</select>
									</p>
									</div>
									</div>

									<?php } ?>
					<?php } ?>
				</li>
				</ul>

				<ul style="" class="ui-tabs-panel" id="navigation">
				<li>
					<h2><?php _e("Navigation Colours", 'holder_buddypress') ?></h2>

					<?php $value_var = 'navigation'; foreach ($options3 as $value) { ?>

									<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
									</div>

									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


									<div class="tab-option">
									<?php
									$valuex = $value['id'];
									$valuey = stripslashes($valuex);
									$video_code = get_option($valuey);
									?>
									<div class="description"><?php echo $value['name']; ?><br /><span><?php
										if (isset($value['description'])){
									echo $value['description']; }
									?></span></div>
									<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
									</textarea></p></div>
									</div>


									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

									<?php $i = ""; $i == $i++ ; ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
									</div>

									<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

									<div class="tab-option">
									<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
											if (isset($value['description'])){
										echo $value['description']; }
										?></span></div>
									<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
									<?php foreach ($value['options'] as $option) { ?>
									<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
									<?php } ?>
									</select>
									</p>
									</div>
									</div>

									<?php } ?>
					<?php } ?>
				</li>
				</ul>

					<?php if($bp_existed == 'true') { ?>
						<ul style="" class="ui-tabs-panel" id="buddypress">
						<li>
							<h2><?php _e("BuddyPress components", 'holder_buddypress') ?></h2>

							<?php $value_var = 'holder_buddypress'; foreach ($options3 as $value) { ?>

											<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

											<div class="tab-option">
											<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
													if (isset($value['description'])){
												echo $value['description']; }
												?></span></div>
											<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
											</div>

											<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


											<div class="tab-option">
											<?php
											$valuex = $value['id'];
											$valuey = stripslashes($valuex);
											$video_code = get_option($valuey);
											?>
											<div class="description"><?php echo $value['name']; ?><br /><span><?php
												if (isset($value['description'])){
											echo $value['description']; }
											?></span></div>
											<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
											</textarea></p></div>
											</div>


											<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

											<?php $i = ""; $i == $i++ ; ?>

											<div class="tab-option">
											<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
													if (isset($value['description'])){
												echo $value['description']; }
												?></span></div>
											<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
											</div>

											<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

											<div class="tab-option">
											<div class="description"><?php echo $value['name']; ?><br /><span>	<?php
													if (isset($value['description'])){
												echo $value['description']; }
												?></span></div>
											<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
											<?php foreach ($value['options'] as $option) { ?>
											<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
											<?php } ?>
											</select>
											</p>
											</div>
											</div>

											<?php } ?>
							<?php } ?>
						</li>
						</ul>
					<?php } ?>
	</div>
	</div>



	<div id="submitsection">

		<div class="submit">
		<h2><?php _e("Click this to save your theme options", 'holder_buddypress') ?></h2>
	<input name="save3" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save All Options','holder_buddypress')); ?>" />
	<input type="hidden" name="theme_action3" value="save3" />
	</div>
	</div>
	</div>
	</form>



	<form method="post">
	<div id="resetsection">
	<div class="submit">
		<h2><?php _e("Clicking this will reset all theme options - use with caution", 'holder_buddypress') ?></h2>
	<input name="reset3" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset All Options','holder_buddypress')); ?>" />
	<input type="hidden" name="theme_action3" value="reset3" />
	</div>
	</div>
	</form>


	</div>
<?php
}


/* Preset Styling section */
/* stylesheet addition */
$alt_stylesheet_path = get_template_directory() .'/library/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
		while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
			if(stristr($alt_stylesheet_file, ".css") !== false) {
				$alt_stylesheets[] = $alt_stylesheet_file;
			}
		}
	}
}

$category_bulk_list = array_unshift($alt_stylesheets, "default.css");
	$options2 = array (

	array(  "name" => __("Choose Your holder buddypress Preset Style:", 'holder_buddypress'),
		  	"id" => $shortname. $shortprefix . "custom_style",
			"std" => "skinny.css",
			"type" => "radio",
			"options" => $alt_stylesheets)
	);

function holder_buddypress_ready_style_admin_panel() {
	echo "<div id=\"admin-options\">";

	global $themename, $shortname, $options2;

	if ( isset($_REQUEST['saved2'] )) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( isset($_REQUEST['reset2'] )) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>

<h4><?php echo "$themename"; ?> <?php _e('Choose your Holder preset style', 'holder_buddypress'); ?></h4>
<form action="" method="post">
<div class="get-listings">
<div class="option-save">
<ul>
<?php foreach ($options2 as $value) { ?>

<?php foreach ($value['options'] as $option2) {
$screenshot_img = substr($option2,0,-4);
$radio_setting = get_option($value['id']);
if($radio_setting != '') {
	if (get_option($value['id']) == $option2) {
		$checked = "checked=\"checked\""; } else { $checked = "";
	}
}
else {
	if(get_option($value['id']) == $value['std'] ){
		$checked = "checked=\"checked\"";
	}
	else {
		$checked = "";
	}
} ?>

<li>
<div class="theme-img">
	<img src="<?php bloginfo('template_directory'); ?>/library/styles/images/<?php echo $screenshot_img . '.png'; ?>" alt="<?php echo $screenshot_img; ?>" />
</div>
<input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $option2; ?>" <?php echo $checked; ?> /><?php echo $option2; ?>
</li>

<?php }
} ?>

</ul>
</div>
</div>
<div id="submitsection">

	<div class="submit">
	<h2><?php _e("Click this to save your theme options", 'holder_buddypress') ?></h2>
<input name="save2" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save All Options','holder_buddypress')); ?>" />
<input type="hidden" name="theme_action2" value="save2" />
</div>
</div>
</form>

<form method="post">
<div id="resetsection">
<div class="submit">
	<h2><?php _e("Clicking this will reset all theme options - use with caution", 'holder_buddypress') ?></h2>
<input name="reset2" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset All Options','holder_buddypress')); ?>" />
<input type="hidden" name="theme_action2" value="reset2" />
</div>
</div>
</form>


</div>


<?php }

function holder_buddypress_admin_register() {
	global $themename, $shortname, $options;
		$action = isset($_REQUEST['theme_action']);
	if ( isset($_GET['page']) == 'functions.php' ) {
	if ( 'save' == $action ) {
	foreach ($options as $value) {
	update_option( $value['id'], isset($_REQUEST[ $value['id'] ] )); }
	foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
	header("Location: themes.php?page=functions.php&saved=true");
	die;
	} else if( 'reset' == $action ) {
	foreach ($options as $value) {
	delete_option( $value['id'] ); }
	header("Location: themes.php?page=functions.php&reset=true");
	die;
	}
	}
	add_theme_page(_g ($themename . __('Holder options', 'holder_buddypress')),  _g (__('Holder options', 'holder_buddypress')),  'edit_theme_options', 'functions.php', 'holder_buddypress_admin_panel');

}


function holder_buddypress_ready_style_admin_register() {
	global $themename, $shortname, $options, $options2, $options3;
		$action2 = isset($_REQUEST['theme_action2']);
	if ( isset($_GET['page']) == 'holder_buddypress-themes.php' ) {
		if ( 'save2' == $action2 ) {
			foreach ($options2 as $value) {
				update_option( $value['id'], isset($_REQUEST[ $value['id'] ] ));
			}
			foreach ($options2 as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
				}
				else {
					delete_option( $value['id'] );
				}
			}
			header("Location: themes.php?page=holder_buddypress-themes.php&saved2=true");
			die;
		}
		else if( 'reset2' == $action2 ) {
			foreach ($options2 as $value) {
				delete_option( $value['id'] );
			}
			header("Location: themes.php?page=holder_buddypress-themes.php&reset2=true");
			die;
		}
	}
		add_theme_page(_g (__('Holder themes', 'holder_buddypress')),  _g (__('Holder themes', 'holder_buddypress')),  'edit_theme_options', 'holder_buddypress-themes.php', 'holder_buddypress_ready_style_admin_panel');
}


function holder_buddypress_custom_style_admin_register() {
	global $themename, $shortname, $options, $options2, $options3;
		$action3 = isset($_REQUEST['theme_action3']);
		if ( isset($_GET['page']) == 'styling-functions.php' ) {
			if ( 'save3' == $action3 ) {
				foreach ($options3 as $value) {
					update_option( $value['id'], isset($_REQUEST[ $value['id'] ] )); }
				foreach ($options3 as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
					}
					else { delete_option( $value['id'] ); }
				}
				header("Location: themes.php?page=styling-functions.php&saved3=true");
				die;
				}
				else if( 'reset3' == $action3 ) {
					foreach ($options3 as $value) {
						delete_option( $value['id'] );
					}
				header("Location: themes.php?page=styling-functions.php&reset3=true");
				die;
				}
			}
				add_theme_page(_g ($themename . __('Holder customization', 'holder_buddypress')),  _g (__('Holder customization', 'holder_buddypress')),  'edit_theme_options', 'styling-functions.php', 'holder_buddypress_custom_style_admin_panel');
	}

function holder_buddypress_admin_head() { ?>

	<?php if ( (isset($_GET['page']) && $_GET['page'] == 'styling-functions.php' ) || ( isset($_GET['page']) && $_GET['page'] == 'functions.php' )) {?>

		<link href="<?php bloginfo('template_directory'); ?>/library/options/options-css.css" rel="stylesheet" type="text/css" />
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jscolor.js"></script>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jquery-ui-personalized-1.6rc2.min.js"></script>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jquery.cookie.min.js"></script>
	<?php 	wp_enqueue_script("jquery"); ?>
		<script type="text/javascript">
			   jQuery.noConflict();

		jQuery(document).ready(function(){
		jQuery('ul#tabm').tabs({event: "click"});
		});
		</script>

	<?php } ?>

	<?php if (isset($_GET['page']) == 'holder_buddypress-themes.php'){?>
			<link href="<?php bloginfo('template_directory'); ?>/library/options/custom-admin.css" rel="stylesheet" type="text/css" />
	<?php } ?>

<?php }

add_action('admin_head', 'holder_buddypress_admin_head');
add_action('admin_menu', 'holder_buddypress_admin_register');
add_action('admin_menu', 'holder_buddypress_ready_style_admin_register');
add_action('admin_menu', 'holder_buddypress_custom_style_admin_register');

?>